uvsprintf(3)

NAME
uvsprintf - Writes formatted data into a buffer, using variable arguments. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int uvsprintf(char *buf, const char *format, va_list args);

DESCRIPTION
This is like usprintf(), but you pass the variable argument list directly, instead of the arguments themselves. You can use this function to implement printf like functions, also called variadic functions. You should try to avoid this function because it is very easy to overflow the destination buffer. Use uvszprintf instead.

RETURN VALUE
Returns the number of characters written, not including the terminating null character.

SEE ALSO
uconvert(3), usprintf(3), uvszprintf(3)